<ion-header *ngIf='applicationDetails'>
  <ion-toolbar>
    <ion-buttons slot='start'>
      <ion-back-button defaultHref='tabs/home'></ion-back-button>
    </ion-buttons>
    <ion-title>{{applicationDetails.service_name}}</ion-title>
    <!--    <ion-buttons slot="primary">
          <ion-button color="primary">
            <ion-icon slot="icon-only"  size='large' slot='end'
                      name="help-outline" class='custom'>
            </ion-icon>
          </ion-button>
        </ion-buttons>-->
  </ion-toolbar>
</ion-header>

<ion-content fullscreen='true' *ngIf='applicationDetails'>
  <ion-header collapse='condense'>
    <ion-toolbar class='custom-toolbar'>
      <ion-label class="ion-text-wrap">
        <ion-text>
          <h3 class='mx-3' *ngIf='applicationDetails.data_service'>
            <ion-text>{{applicationDetails.data_service.topics | unslugify}}</ion-text>
          </h3>
        </ion-text>
      </ion-label>
      <ion-title size='large' color='dark'>
        <div class='toolbar-title'>{{applicationDetails.service_name || null}}</div>
      </ion-title>
      <p class='ion-padding-horizontal color-black'>{{ 'pratiche.stato_della_pratica' | translate }}<br>
        <span>
        <ion-badge>
          <b>{{applicationDetails.status | statusName}}</b>
        </ion-badge>
        </span>
      </p>
      <p *ngIf='applicationDetails.protocolled_at'
         class='ion-padding-horizontal color-black'>{{ 'pratiche.presentata_il' | translate }}
        <span>
          <b>{{applicationDetails.submitted_at | date :'short'}}</b>
        </span>
      </p>
      <p class='ion-padding-horizontal color-black' *ngIf='applicationDetails.protocolled_at'>{{ 'common.protocollo' | translate }}:
        <span>
          <b>{{ 'stati.in_attesa_di_protocollazione' | translate }}</b>
        </span>
      </p>
      <p class='ion-padding-horizontal color-black' *ngIf='applicationDetails.data.calendar'>{{ 'pratiche.appuntamento' | translate }}<br>
        <b>{{cardCalendar.letteralDaySelected}} - {{cardCalendar.slot}}</b><br>
        <ion-button  fill="outline" *ngIf='applicationDetails.data.calendar && !showRemainderButton' style='width: 190px'>
          <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
        </ion-button>
        <ion-button *ngIf='applicationDetails.data.calendar && showRemainderButton'
                    fill="outline" (click)='openCalendar(applicationDetails)'
        [disabled]='isPassedDate'>
          {{ 'pratiche.aggiungi_al_calendario' | translate }}
          <ion-icon slot="end" name="calendar"></ion-icon>
        </ion-button>
      </p>
    </ion-toolbar>
  </ion-header>

  <ion-card>
    <ion-card-header>
      <p class='float-end color-black' *ngIf='applicationDetails.submitted_at'>
        {{ 'common.del' | translate }} <b>{{applicationDetails.submitted_at | date:'dd/LL' }}</b>
      </p>
      <ion-card-subtitle>{{ 'formio.numero_richiesta' | translate }} <p> {{applicationDetails.id}}</p></ion-card-subtitle>
    </ion-card-header>
    <ion-item detail='true' (click)='openDetails("pratice/"+applicationDetails.id+"/form",applicationDetails)'>
      <ion-icon name='reader-outline' slot='start'></ion-icon>
      <ion-label>
        <h2>{{ 'common.modulo' | translate }}</h2>
      </ion-label>
    </ion-item>

    <ion-item detail='true'
              (click)='openDetails("pratice/"+applicationDetails.id+"/attachments",applicationDetails)'
              *ngIf='applicationDetails.attachments.length'>
      <ion-icon name='document-attach-outline' slot='start'></ion-icon>
      <ion-label>{{ 'common.allegati' | translate }}</ion-label>
    </ion-item>

    <ion-item detail='true' (click)='openDetails("pratice/"+applicationDetails.id+"/messages",applicationDetails)'>
      <ion-icon name='chatbubbles-outline' slot='start'></ion-icon>
      <ion-label>{{ 'common.messaggi' | translate }}</ion-label>
    </ion-item>

    <ion-item detail='true' *ngIf='applicationDetails.payment_data.length'>
      <ion-icon name='card-outline' slot='start'></ion-icon>
      <ion-label>{{ 'common.pagamento' | translate }} <b>{{applicationDetails.payment_type}}</b></ion-label>
    </ion-item>

<!--    <div class='p-3 pt-5'>
      <ion-button fill='outline' color='danger' expand="block" [disabled]='isPassedDate' (click)='presentAlertDeleteCalendar()'>
        Cancella appuntamento
      </ion-button>
    </div>-->

  </ion-card>

</ion-content>
